Skip to main content
GET
/
v1
/
etf
/
holdings
Get ETF Holdings Data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/etf/holdings \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "asset": "AAPL",
      "isin": "",
      "market_value": 42967423896,
      "name": "APPLE INC",
      "security_cusip": "037833100",
      "shares_number": 177105268,
      "symbol": "SPY",
      "updated_at": "2025-09-09 12:09:15",
      "weight_percentage": 6.504
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

ETF symbol (uppercase, e.g., SPY, QQQ, IWM)

Response

Successfully retrieved ETF holdings data

data
object[]
error
object
pagination
any
request_id
string
success
boolean